<template>
  <div>
    <div class="filter-wrapper">
      <options />
      <airlines />
      <a class="reset" @click="resetAllAction">{{$t('lang.filter.reset')}}</a>
    </div>
    <div class="mobile-filter">
      <floating-btn />
    </div>
  </div>
</template>

<script>
import { mapActions } from "vuex";
import Options from "./components/Options";
import Airlines from "./components/Airlines";
export default {
  components: {
    Options,
    Airlines,
    "floating-btn": () => import("./components/FloatingButton")
  },
  methods: {
    ...mapActions(["resetAllAction"])
  }
};
</script>

<style lang="scss" scoped>
.filter-wrapper {
  max-width: 240px;
}
.reset {
  cursor: pointer;
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 16px;
  color: #7284e4;
  text-decoration: underline;
  text-decoration-style: dashed;
  -moz-text-decoration-style: dashed;
}

.mobile-filter {
  display: none;
}

@media only screen and (max-width: 822px) {
  .filter-wrapper {
    display: none;
  }
  .filter {
    margin: 0;
  }
  .mobile-filter {
    display: flex;
  }
}
</style>
